Bug 528469 - Review Request: php-ezc-EventLogDatabaseTiein - eZ Components EventLogDatabaseTiein
Review Request: php-ezc-EventLogDatabaseTiein - eZ Components EventLogDatabas...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
11
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-12 08:15 EDT by Guillaume Kulakowski
Modified: 2014-09-04 12:55 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-07 05:57:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-10-12 08:15:33 EDT
EventLogDatabaseTiein is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

---
Contains the database writer backend for the EventLog component
---

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-EventLogDatabaseTiein.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-EventLogDatabaseTiein-1.0.2-1.fc11.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-EventLogDatabaseTiein-1.0.2-1.fc11.noarch.rpm



rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-EventLogDatabaseTiein   
2 packages and 1 specfiles checked; 0 errors, 0 warnings.



Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.1.0   | 0 | date       | __FILE__           |
|                             |         |   | ereg       | catch              |
|                             |         |   |            | implements         |
|                             |         |   |            | private            |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+
Comment 2 Remi Collet 2009-11-28 09:32:15 EST
REVIEW:

+ rpmlint is ok
php-ezc-EventLogDatabaseTiein.src: I: checking
php-ezc-EventLogDatabaseTiein.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name ok
+ spec file name ok
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
d261edd630fe9741cfc6be0cf3c41f93  EventLogDatabaseTiein-1.0.2.tgz
+ Source URL ok
+ build  on F12.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2, php-channel(components.ez.no)) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=1835253
+ no test suite
+ scriptlets ok
+ Final Requires ok
/usr/bin/pear  
php-common >= 5.2.1
php-pear(components.ez.no/Database) >= 1.2
php-pear(components.ez.no/EventLog) >= 1.0.3
+ Final Provides ok
php-pear(components.ez.no/EventLogDatabaseTiein) = 1.0.2
php-ezc-EventLogDatabaseTiein = 1.0.2-1.fc8


I think you should keep the Requires php-pear(components.ez.no/Base) >= 1.2. 
If this package is already required, version could be useful for documentation.


**** APPROVED ****
Comment 3 Guillaume Kulakowski 2009-11-30 08:17:19 EST
New Package CVS Request
=======================
Package Name: php-ezc-EventLogDatabaseTiein
Short Description: Contains the database writer backend for the EventLog component
Owners: llaumgui
Branches: F-11 F-12
InitialCC:
Comment 4 Kevin Fenzi 2009-12-03 01:29:03 EST
cvs done.
Comment 5 Guillaume Kulakowski 2010-08-29 05:06:58 EDT
Package Change Request
======================
Package Name: php-ezc-EventLogDatabaseTiein
New Branches: EL-6
Owners: llaumgui
Comment 6 Kevin Fenzi 2010-08-29 14:54:24 EDT
Git done (by process-git-requests).
Comment 7 Guillaume Kulakowski 2014-09-02 09:03:48 EDT
Package Change Request
======================
Package Name: php-ezc-EventLogDatabaseTiein
New Branches: EL-7
Owners: llaumgui
Comment 8 Jon Ciesla 2014-09-04 12:55:16 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.